| GET | /RestApi/diagnostics/cache-statuses |
|---|
import Foundation
import ServiceStack
public class GetCacheStatuses : Codable
{
required public init(){}
}
public class CacheStatusesProxy : Codable
{
public var outputCache:Bool
public var clientCache:Bool
public var l2Cache:Bool
public var clientSideCacheForThemes:Bool
public var rssCache:Bool
public var pagesPermissionsCache:Bool
required public init(){}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/diagnostics/cache-statuses HTTP/1.1 Host: www.asg.com.au Accept: text/jsv
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
OutputCache: False,
ClientCache: False,
L2Cache: False,
ClientSideCacheForThemes: False,
RssCache: False,
PagesPermissionsCache: False
}